# Created by pyp2rpm-3.3.7
%global srcname ruuvi_decoders
%global pypi_name ruuvi-decoders
%global pypi_version 0.2.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        Decoders for raw ruuvi tag data payloads
Group:          Development/Python
License:        MIT license
URL:            https://github.com/sergioisidoro/ruuvi_decoders
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 3
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Decode raw data from RuuviTag Bluetooh advertisements, or from Ruuvi gateway
requests.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Decode raw data from RuuviTag Bluetooh advertisements, or from Ruuvi gateway
requests.

%prep
%autosetup -n %{srcname}-%{pypi_version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst docs/readme.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{pypi_version}-py%{python3_version}.egg-info
%doc html


%changelog
* Sun Apr 03 2022 wally <wally> 0.2.0-1.mga9
+ Revision: 1841804
- imported package python-ruuvi-decoders

